import java.awt.*;
import java.applet.*;
import java.io.*;
import java.net.*;

public class ConferenceApplet extends Applet
{
	public void init()
	{
//		setLayout(new BorderLayout());
		add(new Button("Manager"));
		cm_loaded = false;
	}	

	public boolean action(Event evt, Object arg)
	{
		if(arg.equals("Manager"))
		{	
			if (cm_loaded) hideConference();
			else loadConference();
		}
		else return super.action(evt, arg);

		return true;
	}

	private void loadConference()
	{
		cm_loaded = true;
		String s1 = getParameter("dve");
		try
		{
			AppletContext context = getAppletContext();
			context.showStatus("DVE loading...");
			URL u1 = new URL(s1);
			context.showDocument(u1, "manager");
		} catch(Exception e)
		{
			showStatus("Error " + e);
		}
	}

	private void hideConference()
	{
		cm_loaded = false;
		String s2 = getParameter("empty");
		try
		{
			AppletContext context = getAppletContext();
			context.showStatus("DVE hiding...");
			URL u2 = new URL(s2);
			context.showDocument(u2, "manager");
		} catch(Exception e)
		{
			showStatus("Error " + e);
		}
	}

	private boolean cm_loaded;
}